Bug 200430 - devel/rebar: Add bash and zsh completions OPTIONS
Summary: devel/rebar: Add bash and zsh completions OPTIONS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jimmy Olgeni
URL:
Keywords: needs-patch, patch
Depends on:
Blocks:
 
Reported: 2015-05-24 19:31 UTC by Jimmy Olgeni
Modified: 2015-05-26 13:57 UTC (History)
1 user (show)

See Also:
koobs: maintainer-feedback+


Attachments
Completion patch (1023 bytes, patch)
2015-05-24 19:31 UTC, Jimmy Olgeni
no flags Details | Diff
poudriere testport run with all options enabled (17.94 KB, text/x-log)
2015-05-24 19:32 UTC, Jimmy Olgeni
no flags Details
Silence warnings when options are disabled (1.07 KB, patch)
2015-05-24 19:41 UTC, Jimmy Olgeni
koobs: maintainer-approval-
Details | Diff
poudriere testport run with all options disabled (default) (17.58 KB, text/x-log)
2015-05-24 19:43 UTC, Jimmy Olgeni
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jimmy Olgeni freebsd_committer 2015-05-24 19:31:27 UTC
Created attachment 157103 [details]
Completion patch

New ZSH and BASH options to activate completions.
Comment 1 Jimmy Olgeni freebsd_committer 2015-05-24 19:32:03 UTC
Created attachment 157104 [details]
poudriere testport run with all options enabled
Comment 2 Jimmy Olgeni freebsd_committer 2015-05-24 19:41:58 UTC
Created attachment 157105 [details]
Silence warnings when options are disabled
Comment 3 Jimmy Olgeni freebsd_committer 2015-05-24 19:43:19 UTC
Created attachment 157106 [details]
poudriere testport run with all options disabled (default)
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2015-05-25 04:26:57 UTC
.if ${PORT_OPTIONS:MBASH} and .if ${PORT_OPTIONS:MZSH} can be made into OPTIONS helpers: BASH_PLIST_FILES and ZSH_PLIST_FILES respectively.
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2015-05-25 04:28:14 UTC
Assign to reporter.

Approved to commit with the options helper change outlined in comment 4
Comment 6 commit-hook freebsd_committer 2015-05-26 13:57:02 UTC
A commit references this bug:

Author: olgeni
Date: Tue May 26 13:56:06 UTC 2015
New revision: 387477
URL: https://svnweb.freebsd.org/changeset/ports/387477

Log:
  Add options for installing bash and zsh completions.

  PR:		200430
  Submitted by:	olgeni
  Approved by:	maintainer

Changes:
  head/devel/rebar/Makefile
Comment 7 Jimmy Olgeni freebsd_committer 2015-05-26 13:57:33 UTC
Committed - thanks!